Index: src/Actions/PotentialAction/FitParticleChargesAction.cpp
===================================================================
--- src/Actions/PotentialAction/FitParticleChargesAction.cpp	(revision 9b68fc02f36ed091c9bb88104aedd4c88c66f0dd)
+++ src/Actions/PotentialAction/FitParticleChargesAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -126,5 +126,5 @@
   // for the moment just use the very first fragment
   if (range.first == range.second) {
-    ELOG(1, "HomologyContainer does not contain specified fragment.");
+    STATUS("HomologyContainer does not contain specified fragment.");
     return Action::failure;
   }
@@ -132,4 +132,8 @@
   // average partial charges over all fragments
   HomologyContainer::const_iterator iter = range.first;
+  if (!iter->second.containsGrids) {
+    STATUS("This HomologyGraph does not contain sampled grids.");
+    return Action::failure;
+  }
   PartialNucleiChargeFitter::charges_t averaged_charges;
   averaged_charges.resize(iter->second.fragment.getCharges().size(), 0.);
Index: src/Actions/PotentialAction/FitPotentialAction.cpp
===================================================================
--- src/Actions/PotentialAction/FitPotentialAction.cpp	(revision 9b68fc02f36ed091c9bb88104aedd4c88c66f0dd)
+++ src/Actions/PotentialAction/FitPotentialAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -137,19 +137,17 @@
       } catch (SerializablePotentialMissingValueException &e) {
         if (const std::string *key = boost::get_error_info<SerializablePotentialKey>(e))
-          ELOG(1, "Missing value when parsing information for potential "
-              << *key << ".");
+          STATUS("Missing value when parsing information for potential "+*key+".");
         else
-          ELOG(1, "Missing value parsing information for potential with unknown key.");
+          STATUS("Missing value parsing information for potential with unknown key.");
         return Action::failure;
       } catch (SerializablePotentialIllegalKeyException &e) {
         if (const std::string *key = boost::get_error_info<SerializablePotentialKey>(e))
-          ELOG(1, "Illegal key parsing information for potential "
-              << *key << ".");
+          STATUS("Illegal key parsing information for potential "+*key+".");
         else
-          ELOG(1, "Illegal key parsing information for potential with unknown key.");
+          STATUS("Illegal key parsing information for potential with unknown key.");
         return Action::failure;
       }
     } else {
-      ELOG(0, "Failed to parse from " << params.potential_file.get().string() << ".");
+      STATUS("Failed to parse from "+params.potential_file.get().string()+".");
       return Action::failure;
     }
@@ -162,5 +160,5 @@
   } else {
     if (params.charges.get().empty()) {
-      ELOG(1, "Neither charges nor potential file given!");
+      STATUS("Neither charges nor potential file given!");
       return Action::failure;
     } else {
@@ -222,5 +220,5 @@
         << fragmentnumbers << " is " << graph << ".");
   } else {
-    ELOG(1, "Specific fragment " << fragmentnumbers << " not found in homologies!");
+    STATUS("Specific fragment "+toString(fragmentnumbers)+" not found in homologies!");
     return Action::failure;
   }
@@ -305,5 +303,5 @@
           << l2error << " are " << model->getParameters() << ".");
     } else {
-      ELOG(0, "We require parameter derivatives for a box constraint minimization.");
+      STATUS("No required parameter derivatives for a box constraint minimization known.");
       return Action::failure;
     }
Index: src/Actions/PotentialAction/ParseHomologiesAction.cpp
===================================================================
--- src/Actions/PotentialAction/ParseHomologiesAction.cpp	(revision 9b68fc02f36ed091c9bb88104aedd4c88c66f0dd)
+++ src/Actions/PotentialAction/ParseHomologiesAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -81,20 +81,21 @@
   if (!params.homology_file.get().empty()) {
     const boost::filesystem::path &homology_file = params.homology_file.get();
-    if (homology_file.string() != "") {
-      LOG(1, "INFO: Parsing HomologyGraphs from file " << homology_file.string() << ".");
-      parseHomologiesFromFile(homology_file);
-      return Action::success;
-    }
+    LOG(1, "INFO: Parsing HomologyGraphs from file " << homology_file.string() << ".");
+    parseHomologiesFromFile(homology_file);
+    return Action::success;
+  } else {
+    STATUS("Homology file name is empty.");
+    return Action::failure;
   }
+}
 
+ActionState::ptr PotentialParseHomologiesAction::performUndo(ActionState::ptr _state) {
+  STATUS("Undo of PotentialParseHomologiesAction not implemented.");
   return Action::failure;
 }
 
-ActionState::ptr PotentialParseHomologiesAction::performUndo(ActionState::ptr _state) {
-  return Action::success;
-}
-
 ActionState::ptr PotentialParseHomologiesAction::performRedo(ActionState::ptr _state){
-  return Action::success;
+  STATUS("Redo of PotentialParseHomologiesAction not implemented.");
+  return Action::failure;
 }
 
Index: src/Actions/PotentialAction/SaveHomologiesAction.cpp
===================================================================
--- src/Actions/PotentialAction/SaveHomologiesAction.cpp	(revision 9b68fc02f36ed091c9bb88104aedd4c88c66f0dd)
+++ src/Actions/PotentialAction/SaveHomologiesAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -83,12 +83,14 @@
   if (!params.homology_file.get().empty()) {
     const boost::filesystem::path &homology_file = params.homology_file.get();
-    if (homology_file.string() != "") {
-      LOG(1, "INFO: Appending HomologyGraphs to file " << homology_file.string() << ".");
-      if (!writeHomologiesToFile(homology_file))
-        return Action::failure;
+    LOG(1, "INFO: Appending HomologyGraphs to file " << homology_file.string() << ".");
+    if (!writeHomologiesToFile(homology_file)) {
+      STATUS("Failed to write homology file.");
+      return Action::failure;
     }
+    return Action::success;
+  } else {
+    STATUS("Homology file name empty.");
+    return Action::failure;
   }
-
-  return Action::success;
 }
 
